List all webhooks
curl --request GET \
--url https://api-sandbox.argyle.com/partners/v2/webhooks \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-sandbox.argyle.com/partners/v2/webhooks"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-sandbox.argyle.com/partners/v2/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api-sandbox.argyle.com/partners/v2/webhooks?cursor=ZXhhbXBsZV9jdXJzb3I",
"previous": null,
"results": [
{
"id": "205c027e-8a4d-4248-b395-d4f345dfd49f",
"name": "name-for-the-webhook-subscription",
"events": [
"verifications.updated"
],
"config": {},
"secret": "optional-secret",
"url": "https://your-webhook-backend.com",
"created_at": "2026-07-29T19:33:16.120Z",
"updated_at": "2026-07-29T19:33:16.123Z",
"last_sent_at": null
},
{
"id": "b91661b8-2633-49f5-98e5-01d82f04aa30",
"name": "different-name-for-this-webhook-subscription",
"events": [
"identities.added",
"identities.updated"
],
"config": {},
"secret": "optional-secret",
"url": "https://your-webhook-backend.com",
"created_at": "2026-07-29T19:33:16.120Z",
"updated_at": "2026-07-29T19:33:16.123Z",
"last_sent_at": null
}
]
}Webhook management
List all webhooks
Returns a paginated list of webhook subscriptions.
GET
/
partners
/
v2
/
webhooks
List all webhooks
Authorizations
Username = api_key_id, Password = api_key_secret
Query Parameters
Filter for webhooks created on or after this timestamp.
Filter for webhooks created on or before this timestamp.
Use id to order results by webhook ID. Use created_at to order results by when the webhooks were created.
Available options:
id, created_at ⌘I